@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');
* {
    font-family: 'Noto Sans', sans-serif;
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
    font-weight: bold;
}
body {
    background-color: #180b30;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
main {
    flex: 1;
    min-height: 0;
}





#logoundnav {
    background: #8a5dd1;
    display: flex;
    justify-content: center;
    align-items: center;
}
.borderbottom {
    border-bottom: 5px solid #5a3998;
    box-shadow: 0 2px 5px #311d57;
}
#logoundnav img.do {
    max-height: 150px;
    width: auto;
    max-width: none !important;
    margin-top: 35px;
    margin-bottom: 25px;
    filter: drop-shadow(0px 0px 1px #fff49e)    drop-shadow(0px 0px 16px #fff49e); /*standard kraft color if not transparent*/
    transition: transform .165s ease, filter .165s ease;
}
#logoundnav img.do:hover {
    filter: drop-shadow(0px 0px 2px #fff49e)    drop-shadow(0px 0px 23px #fff49e);
    cursor: pointer;
}
nav {
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    margin: 0% auto;
    gap: 56.25px;
    margin-top: 25px;
}
nav .header {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 112.5px;
    height: 112.5px;
    border: 5px solid #4f308a;
    border-radius: 50%;
    background: #5a3998;  /*standard trafk color if not transparent*/
    box-shadow: none;
}
nav .header.do {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: #fff287;
    font-size: 30px;
    filter: drop-shadow(0px 0px 0px #432678) drop-shadow(0px 0px 5px #432678);
    text-decoration: underline #fff287;
}
nav .header.do:hover{
    filter: drop-shadow(0px 0px 5px #432678) drop-shadow(0px 10px 10px #432678);
    translate: 0 -10px;
}



main {
    display: flex;
    flex-wrap: wrap;
    gap: 50px;
    justify-content: center;
    margin-top: 50px;
    margin-bottom: 10px;
    margin-left: 25px;
    margin-right: 25px;
}
.content, button{
    background: #6b48ae;
    padding: 30px;
    width: fit-content;
    height: fit-content;
    margin-bottom: 25px;
    max-width: 35%;
    max-height: 600px;
    border: 5px solid #553393;
    box-shadow: 0px 0px 15px #5a379a;
    overflow: scroll auto;
    border-radius: 20px;
    overflow-x: hidden;
    scrollbar-width: thin;
    color: #fff8bd;
}
#chatbotIframe {
    width: 350px;
    height: 600px;
    border: none;
    position: fixed;
    bottom: 0px;
    right: 0px;
    background: transparent;
    z-index: 1000;
}

#alfonz-content {
width: 100%;
height: 100%;
}

.header {
    background: #5a3998;
    box-shadow: 0px 0px 15px #4a2b83;
    border: 5px solid #4c2d85;
    border-radius: 20px;
    width: 100%;
    padding: 15px;
    margin-bottom: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 1;
}
h1 {
    font-size: 40px;
    color: #fdf5ab;
    margin-left: 40px;
}
h2 {
    font-size: 35px;
    color: #fdf5ab;
    margin-left: 35px;
}
h3 {
    font-size: 30px;
    color: #fdf5ab;
    margin-left: 30px;
}
h4 {
    font-size: 25px;
    color: #fdf5ab;
    margin-left: 25px;
}
.header .date {
    position: absolute;
    top: 0px;
    right: 5px;
    color: #fff6a5;
        z-index: 2;
}
.header .date p {
    margin: 0px;
    padding: 0px;
    font-size: 13px;
    text-decoration: dotted;
}


p, footer span, pre, footer label {
    margin-left: 20px;
    margin-right: 20px;
    line-height: 25px;
    font-size: 20px;
    color: #fff8bd;
    text-decoration: none;
    margin-bottom: 20px;
}




a p{
    font-size: 20px;
    margin-bottom: 25px;
}



img, video {
display: flex;
margin-left: 20px;
margin-right: 20px;
max-width: 85%;
line-height: 25px;
font-size: 20px;
color: #fff8bd;
}




.do {
    display: inline-block;
    filter: drop-shadow(0px 0px 0px #fff49e) drop-shadow(0px 0px 5px #fff49e);
    transform-origin: center;
    transition: transform .165s ease, filter .165s ease, translate .165s ease, box-shadow .165s ease, color 0.165s ease;
    will-change: transform, filter;
    color: #fff49e;
    text-decoration: underline #fff49e;
}
.do:hover {
    color: #fff49e;
    cursor: pointer;
    filter: drop-shadow(0px 0px 0px #fff49e) drop-shadow(0px 0px 7px #fff49e);
    transform: scale(1.1); /* Standard-Scale für alles, was .do hat */
}
nav a.header.do {
}
nav .header.do:hover {
    transform: scale(1.05) !important;
}
nav .header.do span {
filter: drop-shadow(0px 0px 0px #fff49e) drop-shadow(0px 0px 6px #fff49e);
}
nav .header.do:hover span {
    filter: drop-shadow(0px 0px 0px #fff49e) drop-shadow(0px 0px 8px #fff49e);
}
a.do:has(> p) {
    transform: none;
}
a.do:has(> p):hover {
    transform: none !important;
}
a.do:has(> p) > p {
    transition: transform .25s ease;
    display: inline-block;
}
a.do:has(> p):hover > p {
    transform: scale(1.05);
}
input[type="range"].do:hover {
    transform: scale(1.05);
}
footer a.do {
    text-decoration: underline #fff49e;
}







.hidden {
    display: none;
}



footer {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-top: 5px solid #5a3998;
    height: fit-content;
    box-shadow: 0 -2px 5px #311d57;
    gap: 12%;
    background: #8a5dd1;
}



#license {
    padding: 30px;
    margin-left: 20px;
    margin-right: 20px;
    line-height: 25px;
    text-align: center;
}


.content.md {
    max-width: 85%;
    max-height: fit-content;
}



.content.md img {
    max-width: 100%;
}





@media (max-width: 1080px) {
    p, span, a p, a span{
    font-size: 12px;
    }
    a p {
    padding: 5px;
    margin: 5px;
    }
    a.do:hover p {
    translate: 0 0 !important;
    }
    h1 {
    font-size: 20px;
    margin-left: 20px;
    }
    h2 {
    font-size: 18px;
    margin-left: 18px;
    }
    h3 {
    font-size: 16px;
    margin-left: 16px;
    }
    h4 {
    font-size: 14px;
    margin-left: 14px;
    }
    #logoundnav {
        padding: 10px;
    }

    #logoundnav img.do {
        max-height: 55px;
        width: auto;
        max-width: 100% !important;
        margin-top: 15px;
        margin-bottom: 15px;
    }

    nav {
        display: flex;
        gap: 20px;
        margin-top: 10px;
    }

    nav .header {
        width: 50px;
        height: 50px;
        font-size: 13px;
    }

    nav .header.do {
        font-size: 18px;
    }

    .content {
        max-width: 42% !important;
        min-width: 0 !important;
        margin-left: 0 !important;
        margin-right: 0 !important;
        padding: 10px;
    }
    main {
        align-content: flex-start;
    }
    .header {
    margin-left: 0 !important;
    margin-right: 0 !important;
    }

    footer {
        height: fit-content;
        padding: 10px;
        gap: 12px;
    }

    footer span {
        font-size: 12px;
        margin: 0;
        text-align: center;
    }
}

@media (prefers-color-scheme: light) {
  body {
  background: white;
  }
  #logoundnav, footer {
  background: #faf7c7;
  }
  .borderbottom {
  border-bottom: 5px solid #ddd69a;
    box-shadow: 0 2px 5px #d5cd92;
  }
  .content {
  background: #fffaed;
  border: 5px solid #f3ecda;
  box-shadow: 0 0 15px #efe8d5;
  }
  #logoundnav img.do {
      filter: drop-shadow(0px 0px 2px #5a3998)    drop-shadow(0px 0px 15px #5a3998);
 }
  #logoundnav img.do:hover {
      filter: drop-shadow(0px 0px 3px #5a3998)    drop-shadow(0px 0px 25px #5a3998);
  }
  .header {
  background: #fffad6;
  box-shadow: 0px 0px 15px #eae3b3;
  border: 5px solid #efe9bd;
  }
  footer {
    border-top: 5px solid #ddd69a;
    box-shadow: 0px -2px 5px #d5cd92;
}
p, span, a p, a span, footer span, footer label {
color: #784fc6;
}
a.do {
color: #5a3998;
}
a.do:hover {
color: #5a3998;
}
nav .header.do span {
color: #fff8bd;
}
a.do {
filter: drop-shadow(0px 0px 0px #5a3998) drop-shadow(0px 0px 5px #5a3998);
text-decoration: underline #5a3998;
}
a.do:hover {
filter: drop-shadow(0px 0px 0px #5a3998) drop-shadow(0px 0px 7px #5a3998);
}
h1, h2, h3, h4 {
color: #a271ff;
}
nav .header.do {
    filter: drop-shadow(0px 0px 0px #432678) drop-shadow(0px 0px 5px #432678);
}
nav .header.do:hover{
    filter: drop-shadow(0px 0px 5px #432678) drop-shadow(0px 10px 10px #432678);
}
}
/*fff8bd, 5a3998*/
